Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516681 - [Docs][Director] add undercloud backup note to not execute cmd under /home/stack
Summary: [Docs][Director] add undercloud backup note to not execute cmd under /home/stack
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 09:24 UTC by zenghui.shi
Modified: 2018-11-19 23:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description zenghui.shi 2017-11-23 09:24:43 UTC
Description of problem:

when executing undercloud backup command:

tar --xattrs -czf undercloud-backup-`date +%F`.tar.gz /root/undercloud-all-databases.sql /etc/my.cnf.d/server.cnf /var/lib/glance/images /srv/node /home/stack /etc/pki/instack-certs/undercloud.pem /etc/pki/ca-trust/source/anchors/ca.crt.pem

it will raise an error when the cmd is executed undercloud /home/stack directory:

tar: /home/stack/undercloud-backup-2017-11-23.tar.gz: file changed as we read it

suggests to add a line in note to not execute above cmd in /home/stack

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dan Macpherson 2018-08-08 02:58:40 UTC
Scoping old BZ. It might be advantageous to add at the beginning of the procedure the following to create a backup directory:

---
$ sudo mkdir /backup
$ sudo chown stack: /backup
$ cd /backup
---

Comment 2 Dan Macpherson 2018-08-14 04:42:11 UTC
Assigning to Julie. This should be a pretty easy one.


Note You need to log in before you can comment on or make changes to this bug.